cURL
curl --request PUT \
--url https://api.brightdata.com/api/{PARTNER_NAME}/usage_limit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 5242880000,
"unit": "bw",
"period": "d",
"period_mult": 10
}
'import requests
url = "https://api.brightdata.com/api/{PARTNER_NAME}/usage_limit"
payload = {
"limit": 5242880000,
"unit": "bw",
"period": "d",
"period_mult": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({limit: 5242880000, unit: 'bw', period: 'd', period_mult: 10})
};
fetch('https://api.brightdata.com/api/{PARTNER_NAME}/usage_limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"unit": "bw",
"until": "2023-02-14T00:00:00.000Z",
"start": "2022-11-15T00:00:00.000Z",
"bust_action": "disable",
"limit": 5242880000
}Reseller API
修改区域使用限制
PUT
/
api
/
{PARTNER_NAME}
/
usage_limit
cURL
授权
在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。
认证方法:
- 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
- 在请求的 Authorization 头中包含 API Key
- 格式:
Authorization: Bearer YOUR_API_KEY
示例:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?
路径参数
将处理您请求的代理区域名称。
请求体
application/json
此页面对您有帮助吗?